### Function

# GLib CacheDupFunc

deprecated: 2.32

#### Declaration

    gpointer
    (* GCacheDupFunc) (
      gpointer value
    )

#### Description [src]

Specifies the type of the `key_dup_func` function passed to g_cache_new(). The function is passed a key (not a value as the prototype implies) and should return a duplicate of the key.

Deprecated since: 2.32

Use a `GHashTable` instead.

#### Parameters

`value`

  Type: `gpointer`

  The `GCache` key to destroy (not a `GCache` value as it seems)

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gpointer`

A copy of the `GCache` key.

The data is owned by the called function.
The return value can be `NULL`.